DROP TABLE IF EXISTS media_categories;
CREATE TABLE media_categories (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `main_id` int(11) unsigned default NULL,
  `category` varchar(250) DEFAULT NULL,
  `description` text,
  `grouping` int(11) unsigned default NULL,
  PRIMARY KEY  (category_id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO media_categories (category_id, main_id, category, description, grouping) VALUES
(1, 0, 'Nature Collection', 'Photos about the nataure', 1),
(2, 0, 'Work Related', 'What I do for a living', 2),
(3, 0, 'Special Ocassions', 'Birthdays, weddings, etc.', 3);


DROP TABLE IF EXISTS `media_comments`;
CREATE TABLE IF NOT EXISTS `media_comments` (
  `comment_id` int(11) NOT NULL AUTO_INCREMENT,
  `data_id` int(11) NOT NULL DEFAULT '0',
  `name` varchar(250) NOT NULL DEFAULT '',
  `feedback` varchar(1500) NOT NULL DEFAULT '',
  `scores` varchar(1500) NOT NULL DEFAULT '[]',
  `flags` varchar(1000) NOT NULL DEFAULT '[]',
  `rating` int(5) NOT NULL DEFAULT '0',
  `posted_datetime` datetime NOT NULL,
  PRIMARY KEY (`comment_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `media_contents`;
CREATE TABLE IF NOT EXISTS `media_contents` (
  `media_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `youtube_id` varchar(30) DEFAULT NULL,
  `category_id` int(11) unsigned DEFAULT NULL,
  `title` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  `postingdatetime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `shortdescription` varchar(350) DEFAULT NULL,
  `original_description` text NOT NULL,
  `media` varchar(250) DEFAULT NULL,
  `embed` varchar(250) DEFAULT NULL,
  `posting` char(10) DEFAULT NULL,
  `display` char(10) DEFAULT NULL,
  `new` char(10) DEFAULT NULL,
  `approve` char(10) DEFAULT NULL,
  `comment` text,
  `rating` double DEFAULT '0',
  `votes` int(11) unsigned DEFAULT '0',
  `grouping` int(11) unsigned DEFAULT NULL,
  `video_file_thumbnail` text,
  `video_type` char(10) DEFAULT NULL,
  `layout` char(10) DEFAULT NULL,
  `video_file` mediumtext,
  `feature` char(10) DEFAULT NULL,
  `related_all` int(11) NOT NULL DEFAULT '0',
  `related_show` int(11) NOT NULL DEFAULT '1',
  `related_listings` varchar(250) NOT NULL DEFAULT '[]',
  `status` varchar(20) DEFAULT NULL,
  `edited_flag` tinyint(3) NOT NULL DEFAULT '0',
  PRIMARY KEY (`media_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `media_contents` (`media_id`, `youtube_id`, `category_id`, `title`, `user_id`, `contact_id`, `author`, `postingdatetime`, `shortdescription`, `original_description`, `media`, `embed`, `posting`, `display`, `new`, `approve`, `comment`, `rating`, `votes`, `grouping`, `video_file_thumbnail`, `video_type`, `layout`, `video_file`, `feature`, `related_all`, `related_show`, `related_listings`, `status`, `edited_flag`) VALUES
(5, NULL, 1, 'Amazing Sunset Video 1', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(),INTERVAL 1 DAY), '<p>\r\n Flying ballons, sea birds, sailboats, and lazy tourists on the beach. All are amazed by the beautiful sunset.</p>\r\n', '', '', '<iframe width="536" height="327" src="http://www.youtube.com/embed/vs1yzMNxhGk" frameborder="0" allowfullscreen></iframe>', 'Y', 'Y', '', 'Y', '[]', 5, 0, 35, '', 'Y', 'L', '', '', 0, 1, '[]', 'A', 0),
(6, NULL, 1, 'Amazing Sunset Video 2', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(),INTERVAL 2 DAY), '<p>\r\n A mixed collection of sunset from around the world. Great music sang by an unknown artist.</p>\r\n', '', '', '<iframe width="536" height="327" src="http://www.youtube.com/embed/QqBlzt0uVPs" frameborder="0" allowfullscreen></iframe>', 'Y', 'Y', '', 'Y', '[]', 5, 0, 36, '', 'Y', 'L', '', '', 1, 1, '["7","5","4","8"]', 'A', 0),
(7, NULL, 1, 'Amazing Sunset Video 3', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(),INTERVAL 3 DAY), '<p>\r\n I have never seen the sun going down like this. Just awesome.</p>\r\n', '', '', '<iframe width="536" height="327" src="http://www.youtube.com/embed/lbGZfF7LaK8" frameborder="0" allowfullscreen></iframe>', 'Y', 'Y', '', 'Y', '[]', 5, 2, 37, '', 'Y', 'L', '', '', 1, 1, '["6","5","4","8"]', 'A', 0),
(8, NULL, 1, 'Amazing Sunset Video 4', NULL, 1, 'Jimmy Test', DATE_SUB(NOW(),INTERVAL 4 DAY), '<p>\r\n A meteor flashes the sky, and great music begins.</p>\r\n', '', '', '<iframe width="536" height="327" src="http://www.youtube.com/embed/Gv-2xAzhBPM" frameborder="0" allowfullscreen></iframe>', 'Y', 'Y', '', 'Y', NULL, 5, 0, 39, '', 'Y', 'L', '', NULL, 1, 1, '["7","6","5","4"]', 'A', 0),
(1, NULL, 2, 'Beautiful Sunset Photo 1', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 5 DAY), '<p>A moment of peace. Looking at the trees and water helps to calm my heart. It''s so beautiful.</p>', '', 'sunset1.jpg', '', 'P', 'Y', '', 'Y', '[]', 5, 0, 1, '', '', 'L', '', 'Y', 0, 1, '[]', 'F', 0),
(2, NULL, 3, 'Beautiful Sunset Photo 2', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 6 DAY), '<p>I took this picture while walking on the beach one day. The timing was perfect as the sun was on its way down the horizon.</p>', '', 'sunset2.jpg', '', 'P', 'Y', '', 'Y', '[]', 5, 0, 2, '', '', 'L', '', 'Y', 0, 1, '[]', 'F', 0),
(3, NULL, 2, 'Beautiful Sunset Photo 3', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 7 DAY), '<p>My friend emailed me this photo when he flew over Himalaya. The scenary was out of this world.</p>\r\n', '', 'sunset3.jpg', '', 'P', 'Y', '', 'Y', '[]', 5, 0, 21, '', '', 'L', '', 'Y', 1, 1, '["1"]', 'F', 0),
(4, NULL, 1, 'Beautiful Sunset Photo 4', NULL, 2, 'Nicole Test', DATE_SUB(NOW(),INTERVAL 8 DAY), '<p>Sunset in Hollywood is nothing like the movie! Look at the purple sky. It&#39;s really quite interesting.</p>\r\n', '', 'sunset4.jpg', '', 'P', 'Y', '', 'Y', '[]', 5, 0, 22, '', '', 'L', '', 'Y', 1, 1, '["7","6","5","8"]', 'F', 0);


/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `media_settings`;
CREATE TABLE IF NOT EXISTS `media_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `media_settings` (`useroption`, `setting`) VALUES
('media_homepage_display', 'header_general'),
('media_homepage_header', ''),
('media_homepage_info', ''),
('media_homepage_content', ''),
('media_default_media_type', 'Y'),
('media_type_options', '["Y","P","V"]'),
('media_pageurl', ''),
('media_plusurl', ''),
('media_addeditalert', 'Yes'),
('media_addeditsubject', 'Media Added/Edited: [title]'),
('media_addeditmessage', 'A media has been added/edited:\r\n\r\n[details]'),
('media_approvedalert', 'Yes'),
('media_approvedsubject', 'Media Approved: [title]'),
('media_approvedmessage', 'Congratulations! Your media posting has been approved. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('media_rejectedalert', 'Yes'),
('media_rejectedsubject', 'Media Rejected: [title]'),
('media_rejectedmessage', 'Hello, sorry we cannot accept your media below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('media_commentalert', 'Yes'),
('media_commentsubject', 'Media Comment: [title]'),
('media_commentbody', '[first_name_last_name] has posted a comment about your media.\r\n\r\nMedia URL: [media_url]\r\n\r\nComment:\r\n\r\n[comment]'),
('media_categories', 'Yes'),
('media_userlogin', 'Yes'),
('media_sortcategories', 'alphabetically'),
('media_frame_shadow_display', '0'),
('media_search', 'Yes'),
('media_page', '10'),
('media_row', '4'),
('media_copyright', ''),
('media_copyrightcolor', ''),
('media_copyrightsize', '1'),
('media_thumbwidth', '175'),
('media_thumbheight', '125'),
('media_autothumbnail', 'Yes'),
('media_autoresize', 'Yes'),
('media_popup', 'No'),
('media_rating', 'Yes'),
('media_comment', 'Yes'),
('media_autoapprove', 'On'),
('media_tags', 'On'),
('media_width', '536'),
('media_height', '327'),
('media_featurednumebr', '4'),
('media_layout', 'Simple'),
('media_simplerow', '4'),
('media_mediaperpage', '12');