DROP TABLE IF EXISTS `newsletters_categories`;
CREATE TABLE IF NOT EXISTS `newsletters_categories` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `main_id` int(11) NOT NULL DEFAULT '0',
  `category` varchar(250) DEFAULT NULL,
  `description` text,
  `grouping` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `newsletters_categories` (`category_id`, `main_id`, `category`, `description`, `grouping`) VALUES
(1, 0, 'Solar', 'Description for Solar', 1),
(2, 0, 'Nuclear', 'Description for Nuclear', 2),
(3, 0, 'Wind', 'Description for Wind', 3);


DROP TABLE IF EXISTS `newsletters_contents`;
CREATE TABLE IF NOT EXISTS `newsletters_contents` (
  `content_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `publication_id` int(11) unsigned DEFAULT NULL,
  `title` varchar(250) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `author` varchar(100) DEFAULT NULL,
  `dateposted` datetime NOT NULL,
  `schedule_type` varchar(10) DEFAULT NULL,
  `timeframe` int(11) unsigned DEFAULT '0',
  `dateframe` date DEFAULT NULL,
  `content` text,
  `status` varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `newsletters_contents` (`content_id`, `publication_id`, `title`, `user_id`, `contact_id`, `author`, `dateposted`, `schedule_type`, `timeframe`, `dateframe`, `content`, `status`) VALUES
(1, 1, 'Issue 1: Solar Energy for Newbies', 8, NULL, 'Gail Admin', DATE_ADD(NOW(), INTERVAL -3 DAY), 'day', 1, NULL, '<p>US households can reduce their greenhouse gas emissions and their energy bills by using solar energy, instead of electricity or gas 100% of the time. On the average, an efficient system could save $500-2,000 of electricity bills every year.<br />\r\n<br />\r\nSolar energy is made possible by installing solar panels on the roof. Unlike other countries such as Germany, a permit is required in the US, which increases the cost and the installation timeframe. The good news is that most solar-energy companies will include the permit application in the installation process.<br />\r\n<br />\r\nCurrently, a number of federal and state incentives are available. Most of them are offered as tax rebates. The savings can be quite substantial. An average installation can cost up to $30,000 with tax rebates up to $9,000. Each state is different, so check with your state to find out what the exact savings might be.<br />\r\n<br />\r\nSolar energy does not replace your electricity supplier at this time. It works well in the day time while sunlight is abundant and can be converted into electricity. But at night, you would still need the electricity from the power grids. The more electricity you use, the more savings you would gain by using solar energy to power your house. Its worth taking a closer look at this alternative source of energy.</p>\r\n', 'A'),
(2, 1, 'Issue 2: Find-Solar.org Directory', 8, NULL, 'Gail Admin', DATE_ADD(NOW(), INTERVAL -2 DAY), 'day', 2, NULL, '<p>Since its launch only six months ago, a new online directory has linked thousands of home and small business owners around the country to qualified solar energy system installers serving their area. The web site also gives consumers a place to estimate costs and output of solar systems for hot water, electricity, and pool or spa heating.<br />\r\n<br />\r\nWith increased energy costs and federal tax breaks, more consumers are exploring their options to add solar energy systems to their homes and businesses. As of January 1, 2006, residential and commercial customers are eligible for a 30 percent solar tax credit (capped at $2,000 for residential) for each system installed. Many states, counties, cities and utilities also offer rebates and other incentives to spur adoption of clean, renewable energy sources.<br />\r\n<br />\r\nVisitor activity on Find-Solar.org attests to the growing interest in solar energy. From October 2005 through March 2006, more than 107,000 unique visitors came to Find-Solar.org. Visitors to the site can request bids from qualified installers. More than 2,700 such leads were generated by over 1,100 visitors so far; the leads are sent directly to installers selected by the user, typically in the same or nearby county.<br />\r\n<br />\r\n&quot;In March, we finished the first photovoltaic project referred to us through Find Solar - a 3.8 kW residential PV installation in Santa Monica,&quot; says Kirstin Brement, installation manager for California Solar Engineering, Inc., located in Los Angeles, Calif. &quot;Our customers mentioned to us that they found the web site a very helpful tool in finding a contractor they could trust.&quot;</p>\r\n', 'A'),
(3, 1, 'Issue 3: US-China Solar Cooperation', 8, NULL, 'Gail Admin', DATE_ADD(NOW(), INTERVAL -1 DAY), 'day', 3, NULL, 'Two of the largest solar power research institutes, the Institute of Electrical Engineering (IEE) of the Chinese Academy of Sciences and the American National Renewable Energy Laboratory (NREL), recently signed a memorandum of understanding (MOU) in early 2008 to expand international research and technological development of next-generation photovoltaic electricity generation capabilities. <br><br>The new agreement was signed by IEE Director-General Xiao Liye and NREL Director Dan E. Arvizu, and it stipulates that the two institutions will work together in the field of photovoltaic battery and component testing and research, at a new facility, to be built at the IEE, in China. Researchers from both countries will work at the new center, and regular exchange visits will take place a few times per year. <br><br>Sharing information is one of the top priorities of the cooperation, as both parties agree that this is the simplest way of forwarding scientific research. As prototypes are developed, the technology will also be shared equally between the two laboratories, thus making the whole development and testing stages much shorter. Chinese officials say that the signing of the deal represents a "headway" in the relations between the two countries, and that they expect even more cooperation, in the field of solar research.', 'A');


DROP TABLE IF EXISTS `newsletters_publications`;
CREATE TABLE IF NOT EXISTS `newsletters_publications` (
  `publication_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) DEFAULT '0',
  `publication` varchar(250) DEFAULT NULL,
  `dateposted` datetime NOT NULL,
  `member_publishing` int(3) NOT NULL DEFAULT '1',
  `description` text,
  `unsubscribe` varchar(250) DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `email_address` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`publication_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `newsletters_publications` (`publication_id`, `category_id`, `publication`, `dateposted`, `member_publishing`, `description`, `unsubscribe`, `name`, `email_address`) VALUES
(1, 1, 'Solar Energy Digest', DATE_SUB(NOW(), INTERVAL 3 DAY), 1, '', 'To unsubscribe from this publication, please click on the link below:\r\n\r\n[unsubscribe]', '', ''),
(2, 2, 'Nuclear Energy Digest', DATE_SUB(NOW(), INTERVAL 5 DAY), 1, '', '\r\nTo unsubscribe from this publication, please click on the link below:\r\n\r\n[unsubscribe]', '', ''),
(3, 3, 'Wind Energy Digest', DATE_SUB(NOW(), INTERVAL 7 DAY), 1, '', '\r\n\r\nTo unsubscribe from this publication, please click on the link below:\r\n\r\n[unsubscribe]', '', '');


/* Also update "Use Default" data in Model setting file. */    
DROP TABLE IF EXISTS `newsletters_settings`;
CREATE TABLE IF NOT EXISTS `newsletters_settings` (
  `useroption` varchar(100) NOT NULL DEFAULT '',
  `setting` text
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `newsletters_settings` (`useroption`, `setting`) VALUES
('newsletters_homepage_display', 'separate_page'),
('newsletters_homepage_header', ''),
('newsletters_homepage_info', ''),
('newsletters_homepage_content', '<p>Green Energy Enterprise is a set of publications designed to inform, educate, and entertain readers with the greatest and latest development in renewable energy.</p>\n\n<p>We are dedicated to working with power generating utilities, government, and corporations for carbon emission strategies, and is a pioneer in the industry.</p>\n\n<p>We invite you to subscribe to our numerous publications and learn more about what is happening in this dynamic industry.</p>\n\n<p>Subscribe to:<br />\n[Solar_Energy_Digest]<br />\n[Nuclear_Energy_Digest]<br />\n[Wind_Energy_Digest]</p>\n'),
('newsletters_fromname', ''),
('newsletters_fromemail', ''),
('newsletters_emailalert', ''),
('newsletters_mobilealert', ''),
('newsletters_categories', 'Yes'),
('newsletters_sortcategories', 'alphabetically'),
('newsletters_emailscount', '500'),
('newsletters_multiplenewsletters', 'Yes'),
('newsletters_verifycode', 'No'),
('newsletters_defaultepublication', '1'),
('newsletters_addeditalert', 'Yes'),
('newsletters_addeditsubject', 'Newsletter Added/Edited'),
('newsletters_addeditmessage', 'A newsletter has been added/edited:\r\n\r\n[details]'),
('newsletters_approvedalert', 'Yes'),
('newsletters_approvedsubject', 'Newsletter Approved'),
('newsletters_approvedmessage', 'Congratulations! Your newsletter has been approved for subscription use. Please see the details below:\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('newsletters_rejectedalert', 'Yes'),
('newsletters_rejectedsubject', 'Newsletter Rejected'),
('newsletters_rejectedmessage', 'Hello, sorry we cannot accept your newsletter below because it does not meet our editorial policy.\r\n\r\n[details]\r\n\r\nRegards,\r\n\Site Editors'),
('newsletters_welcomealert', 'Yes'),
('newsletters_welcomesubject', 'Welcome to [publication_name]'),
('newsletters_welcomebody', 'Greetings,\n\nThank you for subscribing to our publication. Please click on the link below to confirm your subscription:\r\n\r\n[confirmation_link]\n\nSincerely,\nPublication Manager'),
('newsletters_cancellationalert', 'Yes'),
('newsletters_cancellationsubject', '[publication_name] Subscription Cancelled'),
('newsletters_cancellationbody', 'Your [publication_name] subscription has been cancelled.\n\nNo more newsletter will be sent to you. If this is a mistake, please resubscribe.\n\nThank you.'),
('newsletters_host', '');


DROP TABLE IF EXISTS `newsletters_subscribers`;
CREATE TABLE IF NOT EXISTS `newsletters_subscribers` (
  `subscriber_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `publication` int(11) unsigned DEFAULT NULL,
  `signup` date DEFAULT '0000-00-00',
  `name` varchar(250) DEFAULT NULL,
  `email_address` varchar(100) DEFAULT NULL,
  `sent` varchar(50) DEFAULT NULL,
  `verify` char(10) DEFAULT NULL,
  `sent_by_date` date DEFAULT '0000-00-00',
  PRIMARY KEY (`subscriber_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `newsletters_subscribers` (`subscriber_id`, `publication`, `signup`, `name`, `email_address`, `sent`, `verify`, `sent_by_date`) VALUES
(1, 3, NOW(), 'Jimmy Test', 'hotjimmy@gmx.com', '', 'Y', NOW()),
(2, 2, NOW(), 'Nicole Test', 'hotnicole@gmx.com', '', 'Y', NOW());


DROP TABLE IF EXISTS `newsletters_trackers`;
CREATE TABLE IF NOT EXISTS `newsletters_trackers` (
  `tracker_id` int(11) NOT NULL AUTO_INCREMENT,
  `publication_id` int(11) NOT NULL DEFAULT '0',
  `content_id` int(11) NOT NULL DEFAULT '0',
  `subscriber_id` int(11) NOT NULL DEFAULT '0',
  `sent_date` datetime NOT NULL,
  PRIMARY KEY (`tracker_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;