var global_params = []
var global_params_values = [];
cache_type = 'tab';

function showInfo(message, type, howlong)
{
    // Display flash message when data is saved. Also see common.js and Onlinestore files.
	if(!howlong) howlong="1000";

	var error_msg_obj = $('#error_message');
	error_msg_obj.html(message);
	error_msg_obj.attr("class", "");
	error_msg_obj.addClass(type);
	$('html, body').animate( { scrollTop: 0 }, 'slow');
	error_msg_obj.fadeIn("slow", function()
	{
		error_msg_obj.delay(howlong).slideUp("slow");
	});
}

function toggleOriginal(obj, target)
{
	if($(obj).html() == '(Show Original)')
	{
		$(obj).html('(Hide Original)');
		target.show();
	}
	else
	{
		$(obj).html('(Show Original)');
		target.hide();
	}
}

function resetCKEditor()
{
	if(typeof CKEDITOR != 'undefined')
	{
		for(name in CKEDITOR.instances)
		{
			CKEDITOR.instances[name].destroy()
		}
		
		/*
		for(var instanceName in CKEDITOR.instances)
			CKEDITOR.remove(CKEDITOR.instances[instanceName]);
		*/
	}
}

function initTabEvents(tab_container)
{
	Admin.form();
	initRequiredFields();
    init_dropdown(tab_container);
	
	var objs = $('form:first *:input[type!=hidden][type!=file][readonly!=readonly]:first', $('.ui-tabs-panel:not(.ui-subtab)')).not('.hasKeypad');
	objs.focus();
	
	var obj_focus2 = $('input[autofocus="autofocus"]');
	obj_focus2.focus();
    
    $('.error').each(function(index, element) {
        if($(this).hasClass('additional_error'))
        {
            $(this).remove();
        }
    });
    
    $('.exchange_error').addClass('additional_error');
}

function active_tab_handler()
{
	/* Disable tab refresh
	var orilink = $(this).attr('orilink');
	$(this).attr('href', orilink);
	
	// Get tab index
	var tabs = $("#tabs");
	var tab_index = tabs.tabs("option", "active");
	$('#tabs').tabs('load', tab_index);	
	*/
}

function convertLink(obj)
{
	var href = $(obj).attr('href');
	$(obj).attr('href', 'javascript:void(0);');
	$(obj).click(function()
	{
		loadTab($(this), href);
	});
}

function initCurrentTabEvents(target)
{
	$('#'+target+' a.ajax').each(function()
	{
		convertLink(this);
	});
	
	$('#'+target+' a.main_ajax').each(function()
	{
		convertLink(this);
	});
	
	$('#'+target+' .paging a').each(function()
	{
		convertLink(this);
	});
	
	$('#'+target+' table.listing tr td').not('#'+target+' table.listing tr td.ignore').not('#'+target+' table.listing tr:first td').each(function()
	{
		$(this).click(function()
		{
			var edit_url = $(this).parent().attr("editlinkajax");
	
			if (typeof edit_url  != "undefined") 
			{
				$(this).parent().css("background", "#FFF9D2");
				loadTab($(this), edit_url);
			}
		});
	});
    
    if (typeof $.fn.flowplayer == 'function') {
        $("video").parent(".flowplayer").flowplayer();
    }
}

function resetTabUrl(obj, url)
{
	var panel_obj = obj.parents('.ui-tabs-panel:not(.ui-subtab)');
	var panel_obj_id = new String(panel_obj.attr("id"));
	var index = parseInt(panel_obj_id.replace('ui-tabs-', '')) - 1;
	$('#tabs').tabs('url', index, url);
}

function loadTab(obj, url)
{
	// Update tab anchor link
	var panel_obj = obj.parents('.ui-tabs-panel:not(.ui-subtab)');
	var panel_obj_id = new String(panel_obj.attr("id"));
	var index = parseInt(panel_obj_id.replace('ui-id-', '')) - 1;
	var tab_anchor_link = $('li[aria-controls="'+panel_obj_id+'"] a.ui-tabs-anchor', $('.ui-tabs-nav'));
	tab_anchor_link.attr('href', url);
	
	// Get tab index
	var tabs = $("#tabs");
	var tab_index = tabs.tabs("option", "active");
	
	// Get the closest tab_area
	var tab_area = obj.parents('.tab_area');
	tab_area.css("cursor", "wait");
	
	// Open url
	$('#tabs').tabs('load', tab_index);	
}

function reloadTab(obj)
{
	var panel_obj = obj.parents('.ui-tabs-panel:not(.ui-subtab)');
	var panel_obj_id = new String(panel_obj.attr("id"));
	var index = parseInt(panel_obj_id.replace('ui-id-', '')) - 1;
	
	var tabs = $("#tabs");
	var tab_index = tabs.tabs("option", "active");
	
	// Get the closest tab_area
	var tab_area = obj.parents('.tab_area');
	tab_area.css("cursor", "wait");
	
	$('#tabs').tabs('load', tab_index);
}

function deleteTabData(grid, deleteurl)
{
	var total_selected = 0;
	
	$(".child_chk", $('#'+grid)).each(function()
	{
		if($(this).is(":checked"))
		{
			total_selected++;
		}
	});
	
	if(total_selected > 0)
	{
		$('#'+grid).css("cursor", "wait");
		
		$.post(
			deleteurl, 
			$('#'+grid).serialize(), 
			function(data)
			{
				// showInfo(data.delete_count + " item(s) Deleted", "notice");
				showInfo("Data deleted.", "notice");
				reloadTab($('#'+grid));
			},
			'json'
		);
	}
	else
	{
		showInfo("No item has been selected.", "notice");
	}
}

function updateRedDot(obj, value)
{
	var panel_obj = obj.parents('[role="tabpanel"]');
	var header_obj = $('a[role="presentation"][id="'+panel_obj.attr('aria-labelledby')+'"]');
	
	// Remove red dot if any
	$('span .asterix_bullet', header_obj).remove();
	
	if(value == 1)
	{
		// Add red dot
		$('span', header_obj).append('<span class="asterix_bullet">&bull;</span>');
	}
}

function updateTabText(obj, value)
{
	var panel_obj = obj.parents('[role="tabpanel"]');
	console.log('[role="tab"][aria-labelledby="'+panel_obj.attr('aria-labelledby')+'"]');
	var header_obj = $('a[role="presentation"][id="'+panel_obj.attr('aria-labelledby')+'"]');
	
	$('span .asterix_bullet', header_obj).remove();
	$('span', header_obj).html(value);
}

function tabByHash(){
    var 
        hash = window.location.hash.replace( /^#/, '' ),
        parts = hash.split(':'),
        tabMap = window.tabMap,
        current = $('#tabs').tabs('option', 'selected')
    ;

    if (parts.length > 1) {
        $('#tabs').bind('tabsload.tabByHash', function(evt, ui){
            $(this).unbind('tabsload.tabByHash');
            
            $(ui.panel).find('.section_btn').eq(tabMap[parts[0]].subTabs[parts[1]]).click();
        });
    }
    
    if (tabMap[parts[0]].index === current) {
        $('#tabs')
            .tabs('load', tabMap[parts[0]].index)
    } else {
        $('#tabs')
            .tabs('select', tabMap[parts[0]].index)
    }
}